S.EE Docs
API Reference

Create QR Code

Creates a dynamic QR code for a given URL. The QR code is generated server-side and available in PNG, SVG, and PDF formats. Only link-type QR codes are supported.

POST
/api/v1/qrcode

Header Parameters

Authorization*string

Your API key

Request Body

QR code content and settings

application/json
  1. body
custom_slug?string

Your preferred custom slug. If not provided, a random slug will be generated.

Lengthlength <= 255
domain?string

The domain to use for the QR code short URL. If not provided, the default domain is used.

Lengthlength <= 255
target_url*string

The destination URL the QR code points to (required)

Lengthlength <= 2048
title*string

A descriptive title for this QR code (required)

Lengthlength <= 255

Response Body

OK

application/json
  1. response
code?integer
data?
message?string
Example Request
curl -X POST 'https://s.ee/api/v1/qrcode' \  -H 'Authorization: string' \  -H 'Content-Type: application/json' \  -d '{  "target_url": "string",  "title": "string"}'
Example Response200
{  "code": 0,  "data": {    "custom_slug": "string",    "pdf_url": "string",    "png_url": "string",    "short_url": "string",    "slug": "string",    "svg_url": "string"  },  "message": "string"}